#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 uv;

uniform float time;

out vec2 fsUV;
out float fsTime;

void main()
{
    fsUV = uv;
    fsTime = time;
    gl_Position = vec4(position.xyz, 1);
}